class CreateLicenses < ActiveRecord::Migration
  def change
    create_table :licenses do |t|
      t.string :name, :null => false
      t.string :url, :null => false
      t.integer :cc_by, :null => false, :default => 0
      t.integer :cc_sa, :null => false, :default => 0
      t.integer :cc_nd, :null => false, :default => 0
      t.integer :cc_nc, :null => false, :default => 0
      t.integer :no_resize, :null => false, :default => 0
      t.integer :no_flip, :null => false, :default => 0
      t.integer :no_convert, :null => false, :default => 0
      t.integer :keep_aspect_ratio, :null => false, :default => 0

      t.timestamps
    end
    add_index :licenses, [:url], :unique => true
  end
end
