class ExtendBalloonValidator < ActiveModel::EachValidator
  def validate_each(record, attribute, value)
    record.errors[attribute] << (options[:message] || I18n.t('activerecord.errors.messages.balloon_extend')) unless record.extend_balloon.valid?
  end
end

